Subject: Re: [RFC] Wireless extensions rethink

From: Ben Greear <[email-masked]>
Date: Mon, 07 Jun 2004 13:52:37 -0700

Gertjan van Wingerde wrote:
> Hi Scott,
> 
> I was thinking along the same lines, however I was taking the ethtool
> interface as the starting point (using a single ioctl for all wireless
> operations). The private handlers would just have to be converted to
> plain ioctls handled by the driver itself.
> 
> The attached patch can be used as a starting point for this.
> It is not complete (not by far), but it shows the basic structure.
> I've called the structure wlantool_ops, again using the example set by
> ethtool.
> 
> Comments?

For what it's worth, I like the idea of using a single IOCTL similar
to ethtool...

Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com